Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x9
Class DHValidationParms

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x9.DHValidationParms

All Implemented Interfaces:
  ASN1Encodable, Encodable

Deprecated. use ValidationParams

public class DHValidationParms
extends ASN1Object

Constructor Summary
`DHValidationParms(ASN1BitString seed, ASN1Integer pgenCounter)` Deprecated.

Method Summary
`static DHValidationParms` | `getInstance(ASN1TaggedObject obj, boolean explicit)` Deprecated.
`static DHValidationParms` | `getInstance(java.lang.Object obj)` Deprecated.
`ASN1Integer` | `getPgenCounter()` Deprecated.
`ASN1BitString` | `getSeed()` Deprecated.
`ASN1Primitive` | `toASN1Primitive()` Deprecated. Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHValidationParms

    public DHValidationParms(ASN1BitString seed,
                             ASN1Integer pgenCounter)

  Deprecated.

Method Detail

### getInstance

    public static DHValidationParms getInstance(ASN1TaggedObject obj,
                                                boolean explicit)

  Deprecated.

### getInstance

    public static DHValidationParms getInstance(java.lang.Object obj)

  Deprecated.

### getSeed

    public ASN1BitString getSeed()

  Deprecated.

### getPgenCounter

    public ASN1Integer getPgenCounter()

  Deprecated.

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Deprecated.
  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD